import { callUIInteraction } from "@/webRtcVideo";


function callUIInteractionFormat(action) {
  if(action['Parameters']) {
    action['Parameters'] = JSON.stringify(action['Parameters'])
  }
  console.log('发送信息-->',action)
  callUIInteraction(action)
}

/**
 * 仅有 ActionName 的方法
 * @param {String} ActionName 
 */
export function ueCallByName(ActionName) {
  callUIInteractionFormat({ ActionName })
}

//example
export function ueCallxxx() {
  callUIInteractionFormat({
    "ActionName":"netLookDown",
    'Parameters': {}
  })
}

const nameFunctions = {
  '区域展示': "areaInfoShow",
  '区域隐藏': "areaInfoHidden",
  // '起飞点定位': "upLocation",
  // '降落点定位': "downLocation",
  // '网格展示': "netShow",
  // '网格隐藏': "netHidden",
  // '适飞区': "netGreen",
  // '风险区': "netYellow",
  // '禁飞区': "netRed",
  // '正常航线': "rodOkShow",
  // '异常航线': "rodNoShow",
  // '隐藏航线': "rodHidden",
  '清除有问题航线并查看没问题航线': "autoRow",
  '自动生成对面无人机': "autoMakeFlay",
  // '跟随飞行（自动来回）': "flay",
  '清除跟随无人机': "clearFlowFlay",
  '清除自动生成无人机'   : "closeAutoFlay",
  // '空间网格整体查看': "netLookUp",
  // '查看航路视角移动': "lookFlyRow",
  // '飞行全景查看': "LookflayAll",
  // '坠落飞行': "downFly",
  // '场景概览': "lookAll",
  // '航路显示': "rowShow",
  // '航路隐藏': "rowHidden",
  // '信号塔显示': "signShow",
  // '信号塔隐藏': "signHidden",

  // '预警视角移动': "yujingFly"

}